Open Webmail V 2.21 升級 V2.41

今天早上要登入到Open Webmail時,Server出現下列訊息:
Server error!
The server encountered an internal error and was unable to complete your request.
Error message:
Premature end of script headers: openwebmail-main.pl
If you think this is a server error, please contact the webmaster
Error 500
Mon 27 Dec 2004 10:52:35 AM CST
Apache/2.0.40 (Red Hat Linux)


當場愣住了!!從來沒有看過這個訊息!!查看系統狀態,也沒有特別的情況!!後來上查看看有沒有人遇到同樣的情況,才知道這個是Open Webmail datetime.pl這個Module的Bug,只要將Open Webmail升級到2.41版就可以解決。
我的系統環境是:
RedHat 9
以下是我升級2.41版的步驟(需要以root的權限登入):
<ol><li>安裝perl-Compress-Zlib-1.21-RH9.i386.rpm。(這個Module是在V2.41才需要的)執行rpm -i http://openwebmail.org/openwebmail/download/redhat/rpm/packages/rh9/perl-Compress-Zlib-1.21-RH9.i386.rpm</li>
<li>安裝perl-Text-Iconv-1.2-RH80.i386.rpm。(這個Module是在V2.41才需要的)執行rpm -i http://openwebmail.org/openwebmail/download/redhat/rpm/packages/rh9/perl-Text-Iconv-1.2-RH80.i386.rpm</li>
<li>安裝openwebmail-2.41-1.i386.rpm。執行rpm -Uhv http://openwebmail.org/openwebmail/download/redhat/rpm/release/openwebmail-2.41-1.i386.rpm</li>
<li>建立/var/www/cgi-bin/openwebmail/etc/dbm.conf檔案。內容為:
dbm_ext&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.db
dbmopen_ext&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.db
dbmopen_haslock&nbsp;&nbsp;yes</li>
<li>執行touch /var/www/cgi-bin/openwebmail/openwebmail*.pl</li>
<li>執行/var/www/cgi-bin/openwebmail/openwebmail-tool.pl –init</li>
<li>電腦回訊問是否要Report回開發者。Send the site report?(Y/n)。這個回答Y或N都可以。</li></ol>
延伸閱讀:<a target="_blank" href="http://sfs.wpes.tcc.edu.tw/phorum/read.php?f=1&i=3748&t=3748″>http://sfs.wpes.tcc.edu.tw/phorum/read.php?f=1&i=3748&t=3748</a>

發表迴響

你的電子郵件位址並不會被公開。 必要欄位標記為 *

這個網站採用 Akismet 服務減少垃圾留言。進一步瞭解 Akismet 如何處理網站訪客的留言資料